<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		<title>reveal.js – The HTML Presentation Framework</title>

		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/black.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/zenburn.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>

		<!--[if lt IE 9]>
		<script src="lib/js/html5shiv.js"></script>
		<![endif]-->
	</head>

	<body>

		<div class="reveal">

			<!-- Any section element inside of this container is displayed as a slide -->
			<div class="slides">
				<section data-background="./Pictures/25550067_10214221862683557_3275701966099611797_n.jpg">
					<h3> The most secure infraestructure that we could build on our spare time only using free software</h3>
					<p> * Because the japanese are not the only ones who can have long titles </p>
			        </section>
				<section data-background="./Pictures/hacklabLogo_ver_blackOutlines_noFill.png" data-background-repeat="repeat" data-background-size="150px">
					<h2> About Rlyeh Hacklab </h2>
			        </section>
				<section>
					<h2> The server </h2>
					  <p> 2x Hp proliant Dl360 g5 </p>
					  <p> 1x Raspberry Pi v3 </p>
				          <img src="./Pictures/server_rlyeh.jpg" class="stretch">
				</section>
				<section>
					<section>
						<h2> Open source vs Free Software </h2>
					</section>
					<section id="fragments">
						<h3> The four essential freedoms</h2>
						<p><span class="fragment"> * The freedom to run the program as you wish, for any purpose (freedom 0).</span></p>
						<p><span class="fragment">* The freedom to study how the program works, and change it so it does your computing as you wish (freedom 1). </span></p>
						<p><span class="fragment">* The freedom to redistribute copies so you can help others (freedom 2). </span></p>
						<p><span class="fragment">* The freedom to distribute copies of your modified versions to others (freedom 3).</span></p>

						<aside class="notes">
							This slide has fragments which are also stepped through in the notes window.
						</aside>
					</section>
				</section>
				<section>
					<section>
						<h2> Why security? </h2>
					</section>
					<section>
						<h3> Infraestrure for the masses </h3>
						<ul>
							<li> Free (as free speech) </li>
							<li> Transparent </li>
							<li> Autonomous </li>
							<li> Secure </li>
							<li> Trustworthy </li>
						</ul>
					</section>
					<section>
						<h3> Building trust </h3>
						<ul>
							<li> WWW fundation </li>
							<li> Telam </li>
							<li> Mozilla fundation </li>
							<li> Aaron Swartz day </li>
							<li> Tor Project </li>
						</ul>
					</section>
				</section>
				<section>
					<section>
						<h2> The Build </h2>
					</section>
					<section>
						<ul>
							<li> ARCH Linux </li>
							<li> CEPH </li>
							<li> LibVirt (KVM-QEMU) </li>
						</ul>
					</section>
				</section>
				<section>
					<section>
						<h2> Why ARCH? </h2>
				          	<img src="./Pictures/Archlinux-icon-crystal-64.svg.png" class="stretch">
					</section>
					<section>
						<ul>
							<li> Systemd hooks - crypt boot.</li>
							<li> Crypsetup before Raid1-LVM.</li>
						</ul>
					</section>
				</section>
				<section>
					<section>
						<h2> Why Ceph? </h2>
				          	<img src="./Pictures/Ceph_Logo_Stacked_RGB_120411_fa.png" class="stretch">
					</section>
					<section>
						<ul>
							<li> No single point of failure </li>
							<li> up to 50% of data resilence </li>
							<li> CRUSH algoritm </li>
							<li> Async I/O </li>
							<li> RBD </li>
						</ul>
					</section>
					<section>
						<img src="./Pictures/ceph-distributed-storage-system.jpg">
					</section>
				</section>
				<section>
					<section>
						<h2> Why Libvirt? </h2>
				          	<img src="./Pictures/libvirtLogo.png">
					</section>
					<section>
						<ul>
							<li> Out of the box Ceph support</li>
							<li> Live migration </li>
							<li> Resource optimization </li>
							<li> API </li>
						</ul>
					</section>
					<section data-background-video="./Videos/simplescreenrecorder.mp4" data-background-size="contain">
					</section>
				</section>
				<section>
					<section>
						<h2> The issues we have to solve </h2>
					</section>
					<section>
						<ul>
							<li> HP hard raids mandatory </li>
							<li> Cheaps pendrives on raid </li>
							<li> Ceph-deploy incompatibility with arch </li>
						</ul>
					</section>
				</section>
				<section>
					<section>
						<h2> WIP </h2>
					</section>
					<section>
						<ul>
							<li> Boot partition checksum </li>
							<li> Canary </li>
							<li> Monitoring </li>
							<li> Ansible Conf deploy </li>
						</ul>
					</section>
				</section>
				<section>
					<h2> The end </h2>
				</section>
			</div>

		</div>

		<script src="lib/js/head.min.js"></script>
		<script src="js/reveal.js"></script>

		<script>

			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				controls: true,
				progress: true,
				history: true,
				center: true,

				transition: 'slide', // none/fade/slide/convex/concave/zoom

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [
					{ src: 'lib/js/classList.js', condition: function() { return !document.body.classList; } },
					{ src: 'plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
					{ src: 'plugin/search/search.js', async: true },
					{ src: 'plugin/zoom-js/zoom.js', async: true },
					{ src: 'plugin/notes/notes.js', async: true }
				]
			});

		</script>

	</body>
</html>
